### Enumeration

# AdwLeafletTransitionType

deprecated: 1.4

#### Declaration

    enum Adw.LeafletTransitionType

#### Description [src]

Describes the possible transitions in a `AdwLeaflet` widget.

New values may be added to this enumeration over time.

Deprecated since: 1.4

See the migration guide

#### Members

`ADW_LEAFLET_TRANSITION_TYPE_OVER`

  Cover the old page or uncover the new page, sliding from or towards the end according to orientation, text direction and children order.

  - Value: `0`
  - Available since: 1
`ADW_LEAFLET_TRANSITION_TYPE_UNDER`

  Uncover the new page or cover the old page, sliding from or towards the start according to orientation, text direction and children order.

  - Value: `1`
  - Available since: 1
`ADW_LEAFLET_TRANSITION_TYPE_SLIDE`

  Slide from left, right, up or down according to the orientation, text direction and the children order.

  - Value: `2`
  - Available since: 1